%global modname mailman3_fedmsg_plugin_schemas

%{!?python3_pkgversion: %global python3_pkgversion 3}

Name:               mailman3-fedmsg-plugin-schemas
Version:            1.0.0
Release:            2%{?dist}
Summary:            Fedora Messaging schema for messages emitted by Mailman 3

License:            LGPL-3.0-or-later
URL:                https://github.com/fedora-infra/mailman3-fedmsg-plugin
Source0:            %{pypi_source %modname}

BuildArch:          noarch

BuildRequires:      python%{python3_pkgversion}-devel

Requires:           fedora-messaging

%global _description %{expand:
  A schema describing fedora-messaging messages sent by mailman.
}

%description %_description

%package -n python3-%name
Summary: %{summary}

%description -n python3-%name %_description

%generate_buildrequires
%pyproject_buildrequires

%prep
%autosetup -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}

%check
%pyproject_check_import %{modname}

%files -n python3-%{name} -f %{pyproject_files}
%doc README.md

%changelog
* Fri Apr 05 2024 Michal Konečný <mkonecny@redhat.com> - 1.0.0-2
- Bump release version
  This will override the build in epel9-infra tag.

* Thu Apr 04 2024 Michal Konečný <mkonecny@redhat.com> - 1.0.0-1
- Initial mailman3-fedmsg-plugin-schemas spec.
